// Distributed under the Boost Software License, Version 1.0.
//    (See accompanying file LICENSE_1_0.txt or copy at
//          http://www.boost.org/LICENSE_1_0.txt)

#include "mapplugin.h"
#include "mapview.h"
#include "mapmodel.h"
#include "filedialog.h"

void mapplugin::registerTypes(const char *uri)
{
    qmlRegisterType<MapView>(uri, 1, 0, "MapView");
    qmlRegisterType<MapModel>(uri, 1, 0, "MapModel");
    qmlRegisterType<FileDialog>(uri, 1, 0, "FileDialog");
}

Q_EXPORT_PLUGIN(mapplugin);
